-- phpMyAdmin SQL Dump
-- version 4.9.2
-- https://www.phpmyadmin.net/
--
-- Hôte : 127.0.0.1:3306
-- Généré le :  mer. 30 sep. 2020 à 19:44
-- Version du serveur :  10.3.20-MariaDB
-- Version de PHP :  7.4.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `stockspark`
--

-- --------------------------------------------------------

--
-- Structure de la table `baskets`
--

DROP TABLE IF EXISTS `baskets`;
CREATE TABLE IF NOT EXISTS `baskets` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `total` double(8,2) NOT NULL,
  `date` datetime NOT NULL,
  `paid` tinyint(1) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `categories`
--

DROP TABLE IF EXISTS `categories`;
CREATE TABLE IF NOT EXISTS `categories` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `categories`
--

INSERT INTO `categories` (`id`, `name`, `parent_id`, `created_at`, `updated_at`) VALUES
(2, 'Cosmétique', '1', '2019-04-09 14:49:31', '2019-04-18 15:04:16'),
(3, 'Electronique', NULL, '2019-04-09 15:10:27', '2019-04-09 15:10:27'),
(4, 'Nourriture', NULL, '2019-04-09 15:12:01', '2019-04-09 15:12:01'),
(8, 'Boisson', '4', '2020-06-20 18:59:26', '2020-06-20 18:59:26');

-- --------------------------------------------------------

--
-- Structure de la table `commands`
--

DROP TABLE IF EXISTS `commands`;
CREATE TABLE IF NOT EXISTS `commands` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `customer_id` varchar(110) COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `sale_id` int(11) DEFAULT NULL,
  `etat` int(11) NOT NULL DEFAULT 1,
  `date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `commands`
--

INSERT INTO `commands` (`id`, `customer_id`, `item_id`, `quantity`, `sale_id`, `etat`, `date`, `created_at`, `updated_at`) VALUES
(109, '1', 4, 1, 59, 1, '2020-09-30', '2020-09-30 09:20:06', '2020-09-30 09:20:19'),
(110, '3', 4, 1, 60, 1, '2020-09-30', '2020-09-30 16:47:39', '2020-09-30 16:49:05');

-- --------------------------------------------------------

--
-- Structure de la table `customers`
--

DROP TABLE IF EXISTS `customers`;
CREATE TABLE IF NOT EXISTS `customers` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `telephone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `photo` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `customers`
--

INSERT INTO `customers` (`id`, `name`, `address`, `email`, `telephone`, `photo`, `created_at`, `updated_at`) VALUES
(1, 'Bibi', 'Adidogomé', 'bibi@gmail.com', '92929292', 'aBGPYk0THcAzpbuN0yDZG46I6oOEceHZzpQVLUuM.png', '2019-04-11 10:23:43', '2019-04-18 15:57:32'),
(2, 'Jon Snow', 'Islande', 'jonsnow@gmail.com', '95959595', 'x3KqbkBhOggOf6LyMzvsZakAbRZqS5fiNK2O8gvR.png', '2019-04-18 11:56:22', '2019-04-18 12:39:50'),
(3, 'Illustre Inconnu', 'Inconnu', 'inc@gmail.com', '94949494', 'M6yGirAxGkuHTV4w2xITT2BvU9sY93ZNFbgEaEvG.jpeg', '2019-04-18 12:12:40', '2019-04-18 12:12:40');

-- --------------------------------------------------------

--
-- Structure de la table `items`
--

DROP TABLE IF EXISTS `items`;
CREATE TABLE IF NOT EXISTS `items` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_price` double(8,2) DEFAULT NULL,
  `wholesale_price` double(8,2) NOT NULL,
  `retail_price` double(8,2) NOT NULL,
  `quantity` int(11) NOT NULL,
  `big_quantity` int(11) DEFAULT NULL,
  `threshold` int(11) DEFAULT NULL,
  `remaining_quantity` int(11) DEFAULT NULL,
  `entries` int(11) DEFAULT NULL,
  `total` int(11) DEFAULT NULL,
  `sales` int(11) DEFAULT NULL,
  `losses` int(11) DEFAULT NULL,
  `finals` int(11) DEFAULT NULL,
  `category_id` int(11) NOT NULL,
  `supplier_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `items`
--

INSERT INTO `items` (`id`, `name`, `description`, `image`, `currency`, `purchase_price`, `wholesale_price`, `retail_price`, `quantity`, `big_quantity`, `threshold`, `remaining_quantity`, `entries`, `total`, `sales`, `losses`, `finals`, `category_id`, `supplier_id`, `created_at`, `updated_at`) VALUES
(4, 'Chargeur USB 2.0', NULL, 'Dy6ZEZ8q5QkAPlBHW1Rh1B45Bc3l8AOjmxLlBul3.jpeg', NULL, 20000.00, 30000.00, 35000.00, 162, 10, 1, 68, 12, 15, 94, 10, 172, 3, 2, '2019-04-16 14:39:45', '2020-09-30 16:47:39'),
(5, 'Petit beurre', NULL, 'NFGboOJRUfY3BEvemeP1Wda9R1PvhkcXF5MFUhMg.jpeg', NULL, 3000.00, 5000.00, 6000.00, 162, 2, 1, 139, 10, 20, 23, 0, 196, 4, 2, '2019-04-16 15:23:42', '2020-09-29 15:58:24'),
(10, 'Viande de lapin', NULL, NULL, NULL, 4000.00, 4500.00, 5000.00, 300, 50, 25, 57, 50, 250, 243, 0, 301, 4, 4, '2020-06-17 11:21:11', '2020-09-28 08:22:16'),
(11, 'Castel 33cl', NULL, NULL, NULL, -100.00, 100.00, 110.00, 150, 10, 20, 38, 70, 20, 112, 0, 195, 8, 2, '2020-06-20 19:00:53', '2020-09-28 08:22:24'),
(14, 'Fanta', 'Boisson bb', NULL, NULL, 3500.00, 5500.00, 550.00, 129, 20, 50, 124, 1, 0, 5, NULL, 128, 8, 5, '2020-09-23 08:53:24', '2020-09-30 19:09:11');

-- --------------------------------------------------------

--
-- Structure de la table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
CREATE TABLE IF NOT EXISTS `migrations` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2014_10_12_000000_create_users_table', 1),
(2, '2014_10_12_100000_create_password_resets_table', 1),
(3, '2019_04_03_114351_create_items_table', 1),
(4, '2019_04_03_114438_create_customers_table', 1),
(5, '2019_04_03_114539_create_categories_table', 1),
(6, '2019_04_03_114904_create_commands_table', 1),
(7, '2019_04_03_115247_create_suppliers_table', 1),
(8, '2019_04_03_130636_create_baskets_table', 1);

-- --------------------------------------------------------

--
-- Structure de la table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
CREATE TABLE IF NOT EXISTS `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `ravis`
--

DROP TABLE IF EXISTS `ravis`;
CREATE TABLE IF NOT EXISTS `ravis` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `idItem` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `date` date NOT NULL,
  `idAdmin` int(11) NOT NULL,
  `idSupplie` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Déchargement des données de la table `ravis`
--

INSERT INTO `ravis` (`id`, `idItem`, `quantity`, `date`, `idAdmin`, `idSupplie`, `created_at`, `updated_at`) VALUES
(1, 14, 1, '2020-09-28', 1, 0, '2020-09-28 22:37:29', '2020-09-28 22:37:29'),
(3, 5, 10, '2020-09-29', 1, 0, '2020-09-29 15:58:25', '2020-09-29 15:58:25'),
(4, 4, 12, '2020-09-29', 1, 0, '2020-09-29 15:58:35', '2020-09-29 15:58:35'),
(5, 14, 1, '2020-09-30', 1, 2, '2020-09-30 19:09:11', '2020-09-30 19:09:11');

-- --------------------------------------------------------

--
-- Structure de la table `sales`
--

DROP TABLE IF EXISTS `sales`;
CREATE TABLE IF NOT EXISTS `sales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` varchar(110) NOT NULL,
  `total` double(8,2) NOT NULL,
  `paid` tinyint(1) NOT NULL,
  `date` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `sales`
--

INSERT INTO `sales` (`id`, `customer_id`, `total`, `paid`, `date`, `created_at`, `updated_at`) VALUES
(59, '1', 35000.00, 1, '2020-09-30', '2020-09-30 09:20:19', '2020-09-30 09:20:19'),
(60, '3', 35000.00, 1, '2020-09-30', '2020-09-30 16:49:05', '2020-09-30 16:49:05'),
(61, '3', 35000.00, 1, '2020-09-30', '2020-09-30 16:52:16', '2020-09-30 16:52:16');

-- --------------------------------------------------------

--
-- Structure de la table `suppliers`
--

DROP TABLE IF EXISTS `suppliers`;
CREATE TABLE IF NOT EXISTS `suppliers` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telephone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `photo` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `suppliers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `suppliers`
--

INSERT INTO `suppliers` (`id`, `name`, `address`, `telephone`, `email`, `photo`, `created_at`, `updated_at`) VALUES
(1, 'LG Togo', 'Attiegou, Lomé, Togo', '92929292', 'lgtogo@gmail.com', 'QHhsqNa7ttIeTXLT1McPBZwZuma40FJZBr6ikUrJ.png', '2019-04-09 16:16:31', '2019-04-25 19:07:29'),
(2, 'toto', 'Adidogome', '92929292', 'toto@gmail.com', '1EkDDGQUcP5363Pog72UzKXsl9lWzbnbEL3ekRB0.jpeg', '2019-04-11 09:58:45', '2019-04-18 13:11:40'),
(3, 'Vlisco', 'Assigamé', '94994949', 'vlisco@gmail.com', '27RAPCZreQibV8NBduGTqwkovFf6AWYRBTzRd3Vv.png', '2019-04-18 12:22:13', '2019-04-25 19:08:41'),
(4, 'Chalet des lapinous', '27, rue de verveines', '+22890154505', 'edem.blago@gmail.com', NULL, '2020-06-17 11:17:07', '2020-06-17 11:17:07');

-- --------------------------------------------------------

--
-- Structure de la table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `photo` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `role` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `email_verified_at`, `password`, `remember_token`, `photo`, `role`, `created_at`, `updated_at`) VALUES
(1, 'Admin Spark', 'admin@argon.com', '2019-04-04 10:45:27', '$2y$10$P9UQw0qYf92bwRpOvEEMROGgxq6Yz4e.TmRZhlxwxSyGuXZbZoLl6', '88PL1dJY83X7fjTmmoqTkotgFILqIvPf8atE3TxFTCbC1M4vl7rSHnNd8d0C', 'uploads/users/6130.png', 'Admin', '2019-04-04 10:45:27', '2020-06-22 18:03:26'),
(2, 'Lil Prod', 'pkossigan@gmail.com', NULL, '$2y$10$9D8TycHc2qLbmZhA5c6OZuQQGO8.UIDMv7raU8XWPNdQsHqmtgaX6', NULL, 'C:\\xampp\\tmp\\phpFA0D.tmp', 'Standard', '2019-04-25 18:47:51', '2019-04-25 18:47:51'),
(3, 'Edem', 'edem@argon.com', NULL, '$2y$10$mxjF4kz0zoC7wfnazs3/YuZa9Y0.wZkUDwnhM2OYVD7rHTh2u3T6i', NULL, '/tmp/phpbutoZV', 'Standard', '2020-06-20 18:29:37', '2020-06-20 18:29:37'),
(5, 'Edem', 'edem@gmail.com', NULL, '$2y$10$Vlnh7vU7rySmyKvX8PyL4umhAL0veRhzrkHJlNvdLDSwM87/eJEmS', NULL, '/tmp/phpz8C8C2', 'Standard', '2020-06-22 07:18:54', '2020-06-22 07:18:54'),
(6, 'Good', 'admion@argon.com', NULL, '$2y$10$QTCL0wqOQ6CyQxvReKZzoucUB.OiSrXAPD63b9Wat0r1lYPHpek6m', NULL, '/tmp/phpNgueMA', 'Standard', '2020-09-25 06:44:22', '2020-09-25 06:44:22');
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
