<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-sales-center">
                            <div class="col-2">
                                <h3 class="mb-0"><?php echo e(__('Liste des Commandes')); ?></h3>
                            </div>
                            <div class="col-6">
                                <?php if($Success=Session::get('info')): ?>
                                    <div class="alert alert-success"><?php echo e($Success); ?></div>
                                <?php endif; ?>
                            </div>
                            <div class="col-4 text-right">
                                <a href="<?php echo e(route('sale')); ?>" class="btn btn-sm btn-primary"><?php echo e(__('Enregistrer une vente')); ?></a>
                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div class="table-responsive" style="padding:10px">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead class="thead-light">
                            <tr>
                                
                                <th>#</th>
                                <th scope="col"><?php echo e(__('Date d\'enregistrement')); ?></th>
                                <th scope="col"><?php echo e(__('Nom du produits')); ?></th>
                                <th scope="col"><?php echo e(__('Quantités')); ?></th>
                                
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $Commande; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($i+1); ?></td>
                                    <td><?php echo e($c->created_at); ?></td>
                                    <td>
                                         <?php
                                            $Item=\App\Models\Item::find($c->item_id);
                                         ?>
                                        <?php if($Item): ?>
                                            <?php echo e($Item->name); ?>

                                        <?php else: ?>
                                            Produit inconnu
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($c->quantity); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>

    <?php $__env->startPush('js'); ?>
    <script>
        $('.paid').each(function(){
            if($(this).prop('checked')){
                $(this).attr('disabled', 'disabled')
            }
        })
        $('.paid').change(function(){
            $.post('<?php echo e(route('togglePaid')); ?>', { _token : "<?php echo e(csrf_token()); ?>", id : $(this).attr('data-id') }, function(rsp){
                console.log(rsp)
            })
            if($(this).prop('checked')){
                $(this).attr('disabled', 'disabled')
            }
        })
    </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\wamp64\www\stock\resources\views/sale/commande.blade.php */ ?>