

<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Produits')); ?></h3>
                            </div>
                            <div class="col-4 text-right">

                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div style="padding: 10px" class="input-daterange datepicker align-items-center">
                        <form action="<?php echo e(route('search')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-md-8">
                                    &nbsp; Du
                                    <input type="date" class="form-control" required name="start" required placeholder="Date début" value="<?php echo e(date('Y-m-d', strtotime('-'. $today_year  .' days'))); ?>" style="width: 200px; display: inline-block">
                                    &nbsp; Au
                                    <input type="date" class="form-control" required name="end" required placeholder="Date fin" value="<?php echo e($today_year); ?>" style="width: 200px; display: inline-block">
                                </div>
                                <div class="col-md-4">
                                    <button type="submit" class="btn btn-success">Afficher les entrées et sorties</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <p>
                        <a style="margin-left: 20px" class="btn btn-primary btn-sm" data-toggle="collapse" href="#entree" role="button" aria-expanded="false" aria-controls="collapseExample">
                            Liste des Entrées
                        </a>
                        <button class="btn btn-success btn-sm" type="button" data-toggle="collapse" data-target="#sortie" aria-expanded="false" aria-controls="collapseExample">
                            Liste des Sorties
                        </button>
                    </p>
                    <div class="collapse" id="entree">
                        <div class="card card-body">
                            <div class="table-responsive" style="padding:10px">
                                <table id="example1" class="table table-bordered table-striped">
                                    <thead>
                                    <th colspan="5">Liste des ravitaillements</th>
                                    </thead>
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col"><?php echo e(__('Date d\'enregistrement')); ?></th>
                                        <th scope="col"><?php echo e(__('Fournisseur')); ?></th>
                                        <th scope="col"><?php echo e(__('Produits')); ?></th>
                                        <th scope="col"><?php echo e(__('Quantités')); ?></th>
                                        <th scope="col"><?php echo e(__('Chargé')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $ravi; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($r->created_at->format('d-m-Y H:i:s')); ?></td>
                                            <td>
                                                <?php
                                                   $Supplie=\App\Models\Supplier::where('id','=',$r->idSupplie)->first();
                                                ?>
                                                <?php if($Supplie): ?>
                                                    <?php echo e($Supplie->name); ?>

                                                <?php else: ?>
                                                  Fournisseur inconnu
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php
                                                    $Item=\App\Models\Item::find($r->idItem);
                                                ?>
                                                <?php if($Item): ?>
                                                    <?php echo e($Item->name); ?>

                                                <?php else: ?>
                                                    Produit inconnu
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php echo e($r->quantity); ?>

                                            </td>
                                            <td>

                                                <?php
                                                  $Charge=\App\User::where('id','=',$r->idAdmin)->first();
                                                ?>
                                                <?php if($Charge): ?>
                                                    <?php echo e($Charge->name); ?>

                                                <?php else: ?>
                                                   Chargé Inconnu
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td colspan="10">
                                                <div style="text-align: center; font-size: 14px">Aucune recherche ne correspond à votre demande</div>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="collapse" id="sortie">
                        <div class="card card-body">
                            <div class="table-responsive" style="padding:10px">
                                <table id="example1" class="table table-bordered table-striped">
                                    <thead>
                                    <th colspan="5">Liste des ventes</th>
                                    </thead>
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col"><?php echo e(__('Date d\'enregistrement')); ?></th>
                                        <th scope="col"><?php echo e(__('Client')); ?></th>
                                        <th scope="col"><?php echo e(__('Total')); ?></th>
                                        <th scope="col"><?php echo e(__('Détails')); ?></th>
                                        <th scope="col"><?php echo e(__('Imprimer')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($sale->created_at->format('d-m-Y H:i:s')); ?></td>
                                            <td>
                                                <?php
                                                    $Customer=\App\Models\Customer::find($sale->customer_id);
                                                ?>
                                                <?php if($Customer): ?>
                                                    <?php echo e($Customer->name); ?>

                                                <?php else: ?>
                                                    <?php echo e($sale->customer_id); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td><?php echo e($sale->total); ?></td>
                                            <td><a href="<?php echo e(route('sale',$sale->id)); ?>"><i class="fas fa-info-circle"></i></a></td>
                                            <td><a href="<?php echo e(route('print',$sale->id)); ?>" target="_blank"><i class="fas fa-print"></i></a></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td colspan="10">
                                                <div style="text-align: center; font-size: 14px">Aucune recherche ne correspond à votre demande</div>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">
                            
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        <?php
            $date = new DateTime();
            $date->sub(new DateInterval('P1D'));
        ?>
        $('[name="start"]').val('<?php echo e(date('Y-m-d', strtotime('-'. $today_year  .' days'))); ?>')
        $('[name="end"]').val('<?php echo e($today_year); ?>')
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /home/easyhtjs/public_html/stock2.0/resources/views/search/search.blade.php */ ?>