<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <?php if($errors->any()): ?>
                            <div class="msg" style="background: lightgreen; width: 100%; border-radius: 4px; padding: 0px 15px; margin: auto; ">
                                <p style="color: darkgreen; vertical-align: middle">
                                    <?php echo e($errors->first()); ?>

                                </p>
                            </div><br>
                        <?php endif; ?>
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Produits')); ?></h3>
                            </div>
                            <?php if(auth()->user()->isAdmin()): ?>
                                <div class="col-4 text-right">
                                    <a href="<?php echo e(route('createItem')); ?>" class="btn btn-sm btn-primary"><?php echo e(__('Ajouter un produit')); ?></a>
                                    <a onClick="imprimer('sectionAimprimer')" class="btn btn-sm btn-success" style="color:white"><?php echo e(__('Imprimer')); ?></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div style="margin-left: 25px">
                        <span style="display: inline-block">
                            <div style="background: lightpink; border: none; width: 20px; height: 10px"></div>
                        </span>
                        <span style="display: inline-block; font-size: 14px">
                             <div>Alerte d'approvisionnement</div>
                        </span><br><br>
                    </div>

                    <div class="table-responsive" style="padding: 10px" id='sectionAimprimer'>
                        <table id="example1" class="table table-bordered table-striped">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th scope="col"><?php echo e(__('Nom')); ?></th>
                                
                                
                                <th scope="col"><?php echo e(__('Quantité')); ?></th>
                                
                                <th scope="col"><?php echo e(__('Chargé')); ?></th>
                                <th scope="col"><?php echo e(__('Fournisseur')); ?></th>
                                <th scope="col"><?php echo e(__('Date et heure')); ?></th>
                                
                                <th scope="col">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                               <tr>
                                   <td><?php echo e($i+1); ?></td>
                                   <td>
                                       <?php
                                         $Item=\App\Models\Item::find($item->idItem);
                                       ?>
                                       <?php if($Item): ?>
                                           <?php echo e($Item->name); ?>

                                       <?php else: ?>
                                        Produit inconnu
                                       <?php endif; ?>
                                   </td>
                                   <td><?php echo e($item->quantity); ?></td>
                                   <td>
                                       <?php
                                          $Admin=\App\User::find($item->idAdmin);
                                       ?>
                                       <?php if($Admin): ?> <?php echo e($Admin->name); ?> <?php else: ?> Utilisateur inconnu <?php endif; ?>
                                   </td>
                                   <td>

                                       <?php
                                           $Supplie=\App\Models\Supplier::where('id','=',$item->idSupplie)->first();
                                       ?>

                                       <?php if($Supplie): ?>
                                           <?php echo e($Supplie->name); ?>

                                       <?php else: ?>
                                           Fournisseur inconnu
                                       <?php endif; ?>
                                   </td>
                                   <td><?php echo e($item->created_at); ?></td>
                                   <td>
                                       <a href="<?php echo e(route('AnnulerRavi',Crypt::encrypt($item->id))); ?>" class="btn btn-danger btn-sm" style="color:white">Annuler</a>
                                   </td>
                               </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">
                            
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <script type="text/javascript">
        function imprimer(divName) {
            var printContents = document.getElementById(divName).innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\wamp64\www\stock\resources\views/item/statRavi.blade.php */ ?>