

<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Inventaires')); ?></h3>
                            </div>
                            
                                
                            
                        </div>
                    </div>
                        <?php if($Success=Session::get('info')): ?>
                            <div class="alert alert-success"><?php echo e($Success); ?></div>
                        <?php endif; ?>
                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div style="margin-left: 25px">
                        <span style="display: inline-block">
                            <div style="background: lightpink; border: none; width: 20px; height: 10px"></div>
                        </span>
                        <span style="display: inline-block; font-size: 14px">
                             <div>Alerte d'approvisionnement</div>
                        </span><br><br>
                    </div>


                    <div class="table-responsive" style="padding:10px">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col"><?php echo e(__('Image')); ?></th>
                                <th scope="col"><?php echo e(__('Nom')); ?></th>
                                <th scope="col"><?php echo e(__('Categorie')); ?></th>
                                <th scope="col"><?php echo e(__('Restant')); ?></th>
                                <th scope="col"><?php echo e(__('Entrées')); ?></th>
                                <th scope="col"><?php echo e(__('Vente')); ?></th>
                                <th scope="col"><?php echo e(__('Pertes')); ?></th>
                                <th scope="col"><?php echo e(__('Final')); ?></th>
                                <?php if(auth()->user()->isAdmin()): ?>
                                    <th scope="col"><?php echo e(__('Opération')); ?></th>
                                <?php endif; ?>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr <?php if($item->remaining_quantity <= $item->threshold): ?> style="background: lightpink; height: 80px" <?php endif; ?> style="height: 80px">
                                    <td>
                                        <?php if($item->image): ?>
                                            <a href="<?php echo e(url('uploads/items/'.$item->image)); ?>" target="_blank"><img src="<?php echo e(url('uploads/items/'.$item->image)); ?>" alt="" style="width: 60px; height: 60px; object-fit: cover; border-radius: 5px"/></a>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->name); ?></td>
                                    <td>
                                        <?php
                                          $Category=\App\Models\Category::find($item->category_id);
                                        ?>
                                        <?php if($Category): ?>
                                            <?php echo e($Category->name); ?>

                                            <?php else: ?>
                                        Néant
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->remaining_quantity); ?></td>
                                    <td><?php echo e($item->entries); ?></td>
                                    <td><?php echo e($item->sales); ?></td>
                                    <td><?php echo e($item->losses); ?> </td>
                                    <td><?php echo e($item->finals); ?></td>
                                    <?php if(auth()->user()->isAdmin()): ?>
                                        <td>
                                            <!--<a href="<?php echo e(route('editinventory',Crypt::encrypt($item->id))); ?>"><i class="fas fa-retweet"></i></a> -->
                                        <a type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>">Ravitailler</a>
                                        </td>
                                    <?php endif; ?>
                                    <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header" style="background-color: #1b4b72;">
                                                    <h5 class="modal-title" id="exampleModalLabel" style="color:white;">Ravitaillement de <?php echo e($item->name); ?></h5>
                                                </div>
                                                <div class="modal-body">
                                                    <form method="post" action="<?php echo e(route('ravitailler',Crypt::encrypt($item->id))); ?>">
                                                        <?php echo csrf_field(); ?>
                                                        <label>Quantité à ravitailler</label>
                                                        <input type="number" min="1" class="form-control input-sm" name="quantity" required><br>
                                                        <label>Fournisseur</label>
                                                        <select class="form-control" name="idSupplie" required>
                                                             <option value="">Cliquez</option>
                                                              <?php
                                                                 $Supplie=\App\Models\Supplier::OrderBy('name')->get();
                                                              ?>
                                                               <?php $__currentLoopData = $Supplie; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($s->id); ?>"><?php echo e($s->name); ?></option>
                                                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select><br>
                                                        <input value="Valider" class="btn btn-outline-primary btn-sm" type="submit">
                                                        <button type="button" class="btn btn-outline-warning btn-sm" data-dismiss="modal">Fermer</button>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">
                            
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /home/easyhtjs/public_html/stock2.0/resources/views/item/inventory.blade.php */ ?>