<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div style="margin-left: 25px">
                        <span style="display: inline-block">
                            <div style="background: lightpink; border: none; width: 20px; height: 10px"></div>
                        </span>
                        <span style="display: inline-block; font-size: 14px">
                             <div>Historique des ravitailements</div>
                        </span><br><br>
                    </div>

                    <div class="row" style="padding:10px">
                        <div class="col-md-4">
                            <div class="card">
                                <div class="card-header">Recherche par Produit</div>
                                <div class="card-body">
                                    <form method="post" action="<?php echo e(route('HistoriqueProduit')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <label>Date Début</label>
                                        <input type="date" name="debut" class="form-control input-sm" required><br>
                                        <label>Date Finale</label>
                                        <input type="date" name="finale" class="form-control input-sm" required><br>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label>Nom du produit</label>
                                                <select class="form-control input-sm" required name="idItem">
                                                    <option value="">Cliquez</option>
                                                    <?php
                                                        $Item=\App\Models\Item::OrderBy('name','asc')->get();
                                                    ?>
                                                    <?php $__currentLoopData = $Item; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($i->id); ?>"><?php echo e($i->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select><br>
                                            </div>

                                        </div>
                                        <center><input type="submit" class="btn btn-primary btn-sm" value="Afficher">
                                            <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Fermer</button>
                                        </center>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="card">
                                <div class="card-header">Recherche par catégorie de Produit</div>
                                <div class="card-body">
                                    <form method="post" action="<?php echo e(route('HistoriqueCategorieProduit')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <label>Date Début</label>
                                        <input type="date" name="debut" class="form-control input-sm" required><br>
                                        <label>Date Finale</label>
                                        <input type="date" name="finale" class="form-control input-sm" required><br>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label>Categorie du produit</label>
                                                <select class="form-control input-sm" required name="idCategorie">
                                                    <option value="">Cliquez</option>
                                                    <?php
                                                        $Categorie=\App\Models\Category::OrderBy('name','asc')->get();
                                                    ?>
                                                    <?php $__currentLoopData = $Categorie; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($i->id); ?>"><?php echo e($i->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select><br>
                                            </div>

                                        </div>
                                        <center><input type="submit" class="btn btn-primary btn-sm" value="Afficher">
                                            <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Fermer</button>
                                        </center>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="card">
                                <div class="card-header">Recherche par tranche de date</div>
                                <div class="card-body">
                                    <form method="post"  action="<?php echo e(route('Historique')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <label>Date Début</label>
                                        <input type="date" name="debut" class="form-control input-sm" required><br>
                                        <label>Date Finale</label>
                                        <input type="date" name="finale" class="form-control input-sm" required><br>
                                        <center><input type="submit" class="btn btn-primary btn-sm" value="Afficher">
                                            <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Fermer</button>
                                        </center>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">
                            
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\wamp64\www\stock\resources\views/inventory/date.blade.php */ ?>